﻿using Syncfusion.JavaScript.Web;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace SampleButton
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            List<CountryList> countries = new List<CountryList>();
            countries.Add(new CountryList(11, "Algeria"));
            countries.Add(new CountryList(12, "Armenia"));
            countries.Add(new CountryList(13, "Bangladesh"));
            countries.Add(new CountryList(14, "Cuba"));
            countries.Add(new CountryList(15, "Denmark"));
            countries.Add(new CountryList(16, "Egypt"));
            countries.Add(new CountryList(17, "Finland"));
            countries.Add(new CountryList(18,"India"));
            countries.Add(new CountryList(19, "Malaysia"));
            countries.Add(new CountryList(20, "New Zealand"));
            this.ddlTipoOS1.DataSource = countries;

            List<GroupsList> groups = new List<GroupsList>();
            groups.Add(new GroupsList("a", "Group A"));
            groups.Add(new GroupsList("b", "Group B"));
            groups.Add(new GroupsList("c", "Group C"));
            groups.Add(new GroupsList("d", "Group D"));
            groups.Add(new GroupsList("e", "Group E"));
            this.DropDownList1.DataSource = groups;
            this.DropDownList2.DataSource = groups;
            this.DropDownList3.DataSource = groups;
            this.DropDownList4.DataSource = groups;
        }
        [Serializable]
        class GroupsList
        {
            public string parentId;
            public string text;
            public GroupsList(string gID, string gtext)
            {
                this.parentId = gID;
                this.text = gtext;
            }
        }
        [Serializable]
        class CountryList
        {
            public int ID;
            public string text;
            public CountryList(int cvalue, string ctext)
            {
                this.ID = cvalue;
                this.text = ctext;

            }
        }
    }
}